Package org.eclipse.core.databinding.bind.steps

# Interface SetTwoWaySteps.SetTwoWayFromStep

All Superinterfaces:
  `SetCommonSteps.SetFromStep`, `Step`

All Known Subinterfaces:
  `CommonSteps.TwoWayConfigAndFromStep<SELF>`

Enclosing class:
  `SetTwoWaySteps`

public static interface SetTwoWaySteps.SetTwoWayFromStep extends SetCommonSteps.SetFromStep
Refines the return types of the `SetCommonSteps.SetFromStep` methods for use with two-way bindings.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`<F> SetTwoWaySteps.SetTwoWayConvertToStep<F,?>`
`from(IObservableSet<F> from)`
Sets the from-end observable of the resulting binding.

## Method Details

### from

<F> SetTwoWaySteps.SetTwoWayConvertToStep<F,?> from(IObservableSet<F> from)
Description copied from interface: `SetCommonSteps.SetFromStep`
Sets the from-end observable of the resulting binding. All steps after this one but before a call to `to` will configure the from-end of the binding.

Specified by:
  `from` in interface `SetCommonSteps.SetFromStep`
Returns:
  next step
See Also:
  - `DataBindingContext.bindSet(org.eclipse.core.databinding.observable.set.IObservableSet<T>, org.eclipse.core.databinding.observable.set.IObservableSet<M>)`